typedef unsigned long       ULONG;    // 32-bit unsigned
typedef unsigned long       COLOUR;   // 32-bit unsigned
typedef unsigned short      SCANCODE; // 16-bit unsigned

#define FALSE                  0
#define TRUE                 (-1)

// miscellaneous
#define DEFAULTSET            ""
#define DELAY                500
#define FONTX                  8
#define FONTY                 12
#define SCREENXPIXEL         240
#define SCREENYPIXEL         160
#define SQUAREX               12
#define SQUAREY               12
#define STARTXPIXEL            0
#define STARTYPIXEL            0
#define __inline

// colours

#define BLACK 0
#define WHITE 1
#define PURPLE 2
#define GREEN 3
#define RED 4
#define BLUE 5
#define YELLOW 6
#define DARKGREEN 7
#define DARKRED 8
#define DARKBLUE 9
#define DARKYELLOW 10

#define HELP            1000
#define NUMERICPLUS     1001
#define NUMERICMINUS    1002
#define NUMERICSLASH    1003
#define NUMERICASTERISK 1004

#define DATA_IN_EWRAM __attribute__((section(".ewram")))

/* Native Amiga types, emulated identically for GBA */

#define IMPORT                  extern  // reference to an external (global-scope)
typedef unsigned char		UBYTE;	// 8-bit unsigned quantity
typedef unsigned short		UWORD;	// 16-bit unsigned quantity
typedef void*                   APTR;   /* 32-bit untyped pointer

Native Amiga types, emulated differently for GBA (but why?) */

typedef char                    TEXT;   // 8-bit signed
typedef char*                   STRPTR; /* string pointer (NULL-terminated) (pointer to TEXT) */

